
/* aft_fe_test_te1.h */

/******************************************************************************
**			   DEFINES and MACROS
******************************************************************************/

#if defined(WIN32) || defined(_WIN64)
/* Note that WIN32 defined for both 32 and 64 bit */
# define __WINDOWS__
#else
/* Makefile may have this defined */
# ifndef __LINUX__
#  define __LINUX__
# endif
#endif


# define TE1_WRITE_REG(reg, val)	write_maxim((reg), (val))
# define TE1_READ_REG(reg)			read_maxim((reg))


/******************************************************************************
**			  FUNCTION PROTOTYPES
******************************************************************************/

/* Per-card global initialization function.
 * Call only once - during application start. */
int fe_test_global_init(int span, int chan);

/* Do not call these functions directly - 
 * use the TE1_WRITE_REG()/TE1_READ_REG() instead. */
unsigned int write_maxim(unsigned short reg, unsigned short data);
unsigned int read_maxim(unsigned short reg);


/*****************************************************************************/
